Package uk.ac.starlink.registry

# Interface SoapRequest

public interface SoapRequest
Aggregates the information required to make a SOAP request.

Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getAction()`
Returns the unquoted SOAPAction HTTP header to be sent for the request.
`String`
`getBody()`
Returns the content of the <soapenv:Body> element to be sent.

## Method Details

### getAction

String getAction()
Returns the unquoted SOAPAction HTTP header to be sent for the request. If null, no SOAPAction is sent.

Returns:
  SOAPAction header value

### getBody

String getBody()
Returns the content of the <soapenv:Body> element to be sent.

Returns:
  SOAP body